%global srcname wikipedia

Name:           python-%{srcname}
Version:        1.4.5
Release:        2%{?dist}
Summary:        Wikipedia API for Python

License:        MIT
URL:            https://github.com/barrust/Wikipedia
Source0:        https://github.com/barrust/Wikipedia/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Search Wikipedia, get article summaries, get data like links and images
from a page, and more.

%package -n     python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
BuildRequires:  python2-devel
BuildRequires:  python-beautifulsoup4
BuildRequires:  python-nose
BuildRequires:  python2-requests
BuildRequires:  python2-setuptools
Requires:       python-beautifulsoup4
Requires:       python2-requests

%description -n python2-%{srcname}
Search Wikipedia, get article summaries, get data like links and images
from a page, and more.

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-nose
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
Requires:       python3-beautifulsoup4
Requires:       python3-requests

%description -n python3-%{srcname}
Search Wikipedia, get article summaries, get data like links and images
from a page, and more.

%prep
%autosetup -n Wikipedia-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
nosetests -v tests
nosetests-%{python2_version}
nosetests-%{python3_version}

%files -n python2-%{srcname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-*.egg-info

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info

%changelog
* Tue Oct 18 2016 Martin Gansser <martinkg@fedoraproject.org> - 1.4.5-2
- Update to BR python2-requests
- Update to BR python2-setuptools

* Fri Oct 14 2016 Martin Gansser <martinkg@fedoraproject.org> - 1.4.5-1
- Update to 1.4.5-1
- Cleanup spec file
- Use Requires python2-requests
- Write the content to Summary and in the rest use %%{summary} marco

* Sun Oct 02 2016 Martin Gansser <martinkg@fedoraproject.org> - 1.4.4-1.gitb329024
- Initial package
